#!/bin/sh

# Merge -testing into -stable by using hard links so we don't
# double the space requirement.

if [ $# -lt 2  ]; then
	echo "Need to pass MACHINE RELEASE as argument for upload"
	exit 1
fi

MACHINE=$1
RELEASE=$2
DRYRUN=$3

if [ "x$DRYRUN" != "x" ]; then
	ARGS=--dry-run
fi

DIRS=images ipk sdk tools cache-state;

for i in $DIRS;
do
	echo "Working on $i"
	rsync $ARGS --delete -avH \
		--link-dest=$PWD/web-files/$MACHINE/$RELEASE-testing/$i \
		web-files/$MACHINE/$RELEASE-testing/$i/ \
		web-files/$MACHINE/$RELEASE/$i/
done
